Meta information about things

### Hierarchy

- SCThingMeta
  - SCAcademicDegreeMeta
  - SCAcademicTermWithoutReferencesMeta
  - SCCreativeWorkMeta
  - SCEventMeta
  - SCPlaceWithoutReferencesMeta
  - SCThingInPlaceMeta
  - SCThingThatAcceptsPaymentsWithoutReferencesMeta
  - SCAcademicEventMeta
  - SCArticleMeta
  - SCBookMeta
  - SCBuildingMeta
  - SCCatalogMeta
  - SCCourseOfStudiesMeta
  - SCDateSeriesMeta
  - SCDiffMeta
  - SCDishMeta
  - SCFavoriteMeta
  - SCFloorMeta
  - SCMessageMeta
  - SCOrganizationMeta
  - SCPersonMeta
  - SCPointOfInterestMeta
  - SCRoomMeta
  - SCSemesterMeta
  - SCSettingMeta
  - SCSportCourseMeta
  - SCTicketMeta
  - SCToDoMeta
  - SCTourMeta
  - SCVideoMeta

### Implements

- SCMetaTranslations<SCThing>

## Index

### Constructors

- constructor

### Properties

- fieldTranslations
- fieldValueTranslations
- _instance

### Methods

- getInstance

## Constructors

### Protected constructor

- new SCThingMeta(): SCThingMeta

- - Defined in node_modules/@openstapps/core/lib/index.d.ts:1751

  #### Returns SCThingMeta

## Properties

### fieldTranslations

fieldTranslations: object

Implementation of SCMetaTranslations.fieldTranslations

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1713

Translations of fields

#### Type declaration

- ##### de: object

  - ##### alternateNames: string

  - ##### description: string

  - ##### image: string

  - ##### name: string

  - ##### origin: string

  - ##### translations: string

  - ##### type: string

  - ##### uid: string

  - ##### url: string

- ##### en: object

  - ##### alternateNames: string

  - ##### description: string

  - ##### image: string

  - ##### name: string

  - ##### origin: string

  - ##### translations: string

  - ##### type: string

  - ##### uid: string

  - ##### url: string

### fieldValueTranslations

fieldValueTranslations: object

Implementation of SCMetaTranslations.fieldValueTranslations

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1740

Translations of values of fields

#### Type declaration

- ##### de: object

  - ##### type: string

- ##### en: object

  - ##### type: string

### Static Protected _instance

_instance: SCThingMeta

- Defined in node_modules/@openstapps/core/lib/index.d.ts:1709

Set type definiton for singleton instance

## Methods

### Static getInstance

- getInstance<T>(): T

- - Defined in node_modules/@openstapps/core/lib/index.d.ts:1751

  Function to retrieve typed singleton instance

  #### Type parameters

  - #### T: SCThingMeta

  #### Returns T

Generated using TypeDoc